//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Resource.Models.DatabaseModel
{
    using System;
    using System.Collections.Generic;
    
    public partial class PengajuanKecelakaan
    {
        public long IdPengajuan { get; set; }
        public string NomorPelaporan { get; set; }
        public string NIK { get; set; }
        public string Nama { get; set; }
        public System.DateTime TanggalKecelakaan { get; set; }
        public long IdProvinsi { get; set; }
        public long IdKabupaten { get; set; }
        public long IdKota { get; set; }
        public int Umur { get; set; }
        public string JenisKelamin { get; set; }
        public string Alamat { get; set; }
        public long IdKondisiKorban { get; set; }
        public long IdKasusKecelakaan { get; set; }
        public long IdHubunganPelapor { get; set; }
        public string NamaPelapor { get; set; }
        public string HandphonePelapor { get; set; }
        public long IdProvinsiPelapor { get; set; }
        public long IdKotaPelapor { get; set; }
        public long IdFaskes { get; set; }
        public string KTP { get; set; }
        public string KwitansiRS { get; set; }
        public string SuratKeteranganKesehatan { get; set; }
        public string SuratKeteranganAhliWaris { get; set; }
        public bool LaporanPolisi { get; set; }
        public string NoLaporan { get; set; }
        public string SuratLaporanPolisi { get; set; }
        public int Status { get; set; }
    
        public virtual Faske Faske { get; set; }
        public virtual HubunganPelapor HubunganPelapor { get; set; }
        public virtual Kabupaten Kabupaten { get; set; }
        public virtual KasusKecelakaan KasusKecelakaan { get; set; }
        public virtual KondisiKorban KondisiKorban { get; set; }
        public virtual Kota Kota { get; set; }
        public virtual Kota Kota1 { get; set; }
        public virtual Provinsi Provinsi { get; set; }
        public virtual Provinsi Provinsi1 { get; set; }
    }
}
